Loading...
Searching...
No Matches
Opm::Properties::NonWettingFluid< TypeTag, TTag::Richards > Struct Template Reference

The non-wetting phase used. More...

`#include <richardsmodel.hh>`

## Public Types

using | type = GasPhase<Scalar, NullComponent<Scalar>>

## Detailed Description

template<class TypeTag>
struct Opm::Properties::NonWettingFluid< TypeTag, TTag::Richards >

The non-wetting phase used.

By default we use the null-phase, i.e. this has to be defined by the problem for the program to work. This doed not need to be specified by the problem for the Richards model to work because the Richards model does not conserve the non-wetting phase.

The documentation for this struct was generated from the following file:

- opm/models/richards/richardsmodel.hh